Package slepc4py :: Module SLEPc :: Class RG

[hide private]
[frames] | no frames]

# Class RG

RG

Nested Classes | [hide private]

| Type RG type

Instance Methods | [hide private]

a new object with type S, a subtype of T

__new__(S, ...) |

create(self, comm=None) Creates the RG object. |

destroy(self) Destroys the RG object. |

getComplement(self) Returns the flag indicating whether the region is complemented or not. |

getEllipseParameters(self) Gets the parameters that define the ellipse region. |

getIntervalEndpoints(self) Gets the parameters that define the interval region. |

getOptionsPrefix(self) Gets the prefix used for searching for all RG options in the database. |

getType(self) Gets the RG type of this object. |

isTrivial(self) Tells whether it is the trivial region (whole complex plane). |

setComplement(self, comp) Sets a flag to indicate that the region is the complement of the specified one. |

setEllipseParameters(self, center, radius, vscale) Sets the parameters defining the ellipse region. |

setFromOptions(self) Sets RG options from the options database. |

setIntervalEndpoints(self, a, b, c, d) Sets the parameters defining the interval region. |

setOptionsPrefix(self, prefix) Sets the prefix used for searching for all RG options in the database. |

setType(self, rg_type) Selects the type for the RG object. |

view(self, Viewer viewer=None) Prints the RG data structure. |

Inherited from `petsc4py.PETSc.Object`: `__copy__`, `__deepcopy__`, `__eq__`, `__ge__`, `__gt__`, `__le__`, `__lt__`, `__ne__`, `__nonzero__`, `compose`, `decRef`, `getAttr`, `getClassId`, `getClassName`, `getComm`, `getDict`, `getName`, `getRefCount`, `getTabLevel`, `incRef`, `incrementTabLevel`, `query`, `setAttr`, `setName`, `setTabLevel`, `stateIncrease`

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__init__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties | [hide private]

Inherited from `petsc4py.PETSc.Object`: `classid`, `comm`, `fortran`, `handle`, `klass`, `name`, `prefix`, `refcount`, `type` Inherited from `object`: `__class__`

Method Details | [hide private]

### __new__(S, ...)

Returns: a new object with type S, a subtype of T
Overrides: object.__new__

### create(self, comm=None)

Creates the RG object.

# Parameters

comm: Comm, optional
  MPI communicator; if not provided, it defaults to all processes.

### destroy(self)

Destroys the RG object.

Overrides: petsc4py.PETSc.Object.destroy

### getComplement(self)

Returns the flag indicating whether the region is complemented or not.

# Returns

flg: bool
  Whether the region is complemented or not.

### getEllipseParameters(self)

Gets the parameters that define the ellipse region.

# Returns

center: float (real or complex)
  The center.
radius: float
  The radius.
vscale: float
  The vertical scale.

### getIntervalEndpoints(self)

Gets the parameters that define the interval region.

# Returns

a: float
  The left endpoint in the real axis.
b: float
  The right endpoint in the real axis.
c: float
  The upper endpoint in the imaginary axis.
d: float
  The lower endpoint in the imaginary axis.

### getOptionsPrefix(self)

Gets the prefix used for searching for all RG options in the database.

# Returns

prefix: string
  The prefix string set for this RG object.

Overrides: petsc4py.PETSc.Object.getOptionsPrefix

### getType(self)

Gets the RG type of this object.

# Returns

type: RG.Type enumerate
  The inner product type currently being used.

Overrides: petsc4py.PETSc.Object.getType

### isTrivial(self)

Tells whether it is the trivial region (whole complex plane).

# Returns

flag: boolean
  True if the region is equal to the whole complex plane, e.g., an interval region with all four endpoints unbounded or an ellipse with infinite radius.

### setComplement(self, comp)

Sets a flag to indicate that the region is the complement of the specified one.

# Parameters

comp: bool
  Activate/deactivate the complementation of the region.

### setEllipseParameters(self, center, radius, vscale)

Sets the parameters defining the ellipse region.

# Parameters

center: float (real or complex)
  The center.
radius: float
  The radius.
vscale: float
  The vertical scale.

### setFromOptions(self)

Sets RG options from the options database.

# Notes

To see all options, run your program with the `-help` option.

Overrides: petsc4py.PETSc.Object.setFromOptions

### setIntervalEndpoints(self, a, b, c, d)

Sets the parameters defining the interval region.

# Parameters

a: float
  The left endpoint in the real axis.
b: float
  The right endpoint in the real axis.
c: float
  The upper endpoint in the imaginary axis.
d: float
  The lower endpoint in the imaginary axis.

### setOptionsPrefix(self, prefix)

Sets the prefix used for searching for all RG options in the database.

# Parameters

prefix: string
  The prefix string to prepend to all RG option requests.

# Notes

A hyphen (`-`) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

Overrides: petsc4py.PETSc.Object.setOptionsPrefix

### setType(self, rg_type)

Selects the type for the RG object.

# Parameters

rg_type: RG.Type enumerate
  The inner product type to be used.

### view(self, Viewer viewer=None)

Prints the RG data structure.

# Parameters

viewer: Viewer, optional
  Visualization context; if not provided, the standard output is used.

Overrides: petsc4py.PETSc.Object.view